Bug 152657 - NEW port net/p5-XML-Compile-SOAP-WSA
Summary: NEW port net/p5-XML-Compile-SOAP-WSA
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-28 20:50 UTC by papowell
Modified: 2010-12-27 06:42 UTC (History)
0 users

See Also:


Attachments
file.shar (3.61 KB, text/plain)
2010-11-28 20:50 UTC, papowell
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description papowell 2010-11-28 20:50:10 UTC
Added port textproc/p5-XML-Compile-SOAP-WSA XML::Compile::SOAP-WSA version 0.12.

This is a companion package/module for XML::Compile
Comment 1 Edwin Groothuis freebsd_committer 2010-11-28 20:50:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Wen Heping freebsd_committer 2010-11-29 00:36:11 UTC
Responsible Changed
From-To: perl->wen

I'll take it.
Comment 3 dfilter service freebsd_committer 2010-12-27 06:33:32 UTC
wen         2010-12-27 06:33:26 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/p5-XML-Compile-SOAP-WSA Makefile distinfo pkg-descr 
                                pkg-plist 
  Log:
  The Web Service Addressing protocol is used to select certain service
  and port on a SOAP server, just like the "Host" header in "HTTP".
  
  The basic SOAP design uses the URI and the "soapAction" header of HTTP
  (in case it uses HTTP, by far the most often used transport mechanism)
  However, when the server is hidden behind firewalls and proxies, these
  fields are rewritten or replaced.  This means that the definitions by
  the WSDL for the client can differ from the configuration of the
  
  WWW: http://search.cpan.org/dist/XML-Compile-SOAP-WSA/
  
  PR:             ports/152657
  Submitted by:   Patrick Powell <papowell@astart.com>
  
  Revision  Changes    Path
  1.2300    +1 -0      ports/net/Makefile
  1.1       +30 -0     ports/net/p5-XML-Compile-SOAP-WSA/Makefile (new)
  1.1       +2 -0      ports/net/p5-XML-Compile-SOAP-WSA/distinfo (new)
  1.1       +10 -0     ports/net/p5-XML-Compile-SOAP-WSA/pkg-descr (new)
  1.1       +18 -0     ports/net/p5-XML-Compile-SOAP-WSA/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wen Heping freebsd_committer 2010-12-27 06:42:06 UTC
State Changed
From-To: open->closed

New port added. Thanks!